From: Alice Mikityanska <redacted>
With checksum offload disabled, much fewer BIG TCP packets are generated
due to overall loss of throughput. Use a separate threshold in these
tests, which is 1/10 of the threshold set for the rest of tests.
Signed-off-by: Alice Mikityanska <redacted>
---
tools/testing/selftests/net/big_tcp_tunnels.sh | 7 +++++--
1 file changed, 5 insertions(+), 2 deletions(-)
diff --git a/tools/testing/selftests/net/big_tcp_tunnels.sh b/tools/testing/selftests/net/big_tcp_tunnels.sh
index e27774eae20e..1f1c811c563c 100755
--- a/tools/testing/selftests/net/big_tcp_tunnels.sh
+++ b/tools/testing/selftests/net/big_tcp_tunnels.sh
@@ -114,6 +114,8 @@ cleanup() {
}
do_test() {
+ local packets_threshold="$PACKETS_THRESHOLD"
+
# When tx csum offload is off, software GSO is performed before passing the
# packet to veth. Check BIG TCP packets inside the VXLAN tunnel to verify
# the software checksum path: if the checksum code is broken, these packets@@ -132,6 +134,7 @@ do_test() {
else
IPTABLES=ip6tables
fi
+ packets_threshold=$(( PACKETS_THRESHOLD / 10 ))
fi
if [ "$2" = 4 ]; then
IPTABLES_SACK=iptables@@ -164,8 +167,8 @@ do_test() {
echo "Captured BIG TCP RX packets: $PACKETS_SERVER"
echo "Captured BIG TCP TX packets: $PACKETS_CLIENT"
echo "Captured TCP SACK packets: $PACKETS_SACK"
- [ "$PACKETS_SERVER" -gt "$PACKETS_THRESHOLD" ] || return 1
- [ "$PACKETS_CLIENT" -gt "$PACKETS_THRESHOLD" ] || return 1
+ [ "$PACKETS_SERVER" -gt "$packets_threshold" ] || return 1
+ [ "$PACKETS_CLIENT" -gt "$packets_threshold" ] || return 1
[ "$PACKETS_SACK" -lt "$(( PACKETS_CLIENT / 2 ))" ] || return 1
}
--
2.55.0